Skip to main content
POST
/
api
/
v1
/
flights
/
exchange-status
Check the status of a flight exchange
curl --request POST \
  --url https://mcp-bff.gojinko.com/api/v1/flights/exchange-status \
  --header 'Content-Type: application/json' \
  --data '
{
  "booking_ref": "<string>",
  "last_name": "<string>",
  "order_id": "<string>",
  "provider": "<string>"
}
'
{
  "confirmed_payment_outcome": "<string>",
  "new_ticket_numbers": [
    "<string>"
  ],
  "status": "<string>",
  "warnings": [
    "<string>"
  ]
}

Query Parameters

provider
string

Target a specific provider (sabre, travelfusion). When omitted, uses request body provider field.

Body

application/json

Exchange status request

booking_ref
string
last_name
string
order_id
string
provider
string

Response

OK

confirmed_payment_outcome
string
new_ticket_numbers
string[]
status
string

CONFIRMED | PENDING | PARTIAL_FAILURE | FAILED

warnings
string[]